Bug 806211 - Decrease the number of the profiles included in BRMS standalone package
Decrease the number of the profiles included in BRMS standalone package
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Build Process (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 04:24 EDT by Ryan Zhang
Modified: 2012-05-09 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2012-03-23 04:24:46 EDT
Description of problem:
As discussed in PM meetings, we should remove some profile included in BRMS standalone package.
At the moment, we include three profiles:
1) default --faster boot up, and log output directly 
2) all --cluster embedded
3) production --based on all, possibly contains some tuning according documents

From productization view, we suggest to remove all profile and keep default and produciton profile.

Prakash suggested that we keep standard profile only.

Please add your thoughts and concerns before this action.

For reference, see the profile description at http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/Standard_Server_Profiles.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan Zhang 2012-03-29 04:00:52 EDT
As decision made by the group, we keep production profile only.
Commit on productisation build code, Committed revision 10842.
Comment 2 Ryan Zhang 2012-04-23 03:39:59 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 3 Lukáš Petrovický 2012-05-02 02:55:42 EDT
VERIFIED. (We only have the "production" profile now.) However, there is a request to get "default" back:
https://bugzilla.redhat.com/show_bug.cgi?id=817618

We'll see where that goes.

Note You need to log in before you can comment on or make changes to this bug.